Bug 1122869 - [abrt] Crash after alarm snooze
Summary: [abrt] Crash after alarm snooze
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:411e4e3e91441f506b9aed84645...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 09:14 UTC by kubrick@fgv6.net
Modified: 2014-08-15 02:48 UTC (History)
5 users (show)

Fixed In Version: evolution-3.10.4-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:48:32 UTC


Attachments (Terms of Use)
File: backtrace (38.19 KB, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: core_backtrace (15.89 KB, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: dso_list (18.70 KB, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: environ (1.41 KB, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: maps (87.80 KB, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: open_fds (902 bytes, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details
File: var_log_messages (1.12 KB, text/plain)
2014-07-24 09:14 UTC, kubrick@fgv6.net
no flags Details

Description kubrick@fgv6.net 2014-07-24 09:14:06 UTC
Version-Release number of selected component:
evolution-3.10.4-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/3.10/evolution-alarm-notify
crash_function: read_packet
executable:     /usr/libexec/evolution/3.10/evolution-alarm-notify
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 read_packet at xcb_in.c:176
 #8 _xcb_in_read at xcb_in.c:671
 #9 _xcb_conn_wait at xcb_conn.c:450
 #10 wait_for_reply at xcb_in.c:399
 #11 xcb_wait_for_reply at xcb_in.c:429
 #13 _XkbHandleGetMapReply at XKBGetMap.c:541
 #14 XkbGetUpdatedMap at XKBGetMap.c:563
 #15 get_xkb at gdkkeys-x11.c:222
 #16 update_direction at gdkkeys-x11.c:567
 #17 _gdk_x11_keymap_state_changed at gdkkeys-x11.c:633

Comment 1 kubrick@fgv6.net 2014-07-24 09:14:09 UTC
Created attachment 920471 [details]
File: backtrace

Comment 2 kubrick@fgv6.net 2014-07-24 09:14:10 UTC
Created attachment 920472 [details]
File: cgroup

Comment 3 kubrick@fgv6.net 2014-07-24 09:14:12 UTC
Created attachment 920473 [details]
File: core_backtrace

Comment 4 kubrick@fgv6.net 2014-07-24 09:14:13 UTC
Created attachment 920474 [details]
File: dso_list

Comment 5 kubrick@fgv6.net 2014-07-24 09:14:14 UTC
Created attachment 920475 [details]
File: environ

Comment 6 kubrick@fgv6.net 2014-07-24 09:14:16 UTC
Created attachment 920476 [details]
File: limits

Comment 7 kubrick@fgv6.net 2014-07-24 09:14:17 UTC
Created attachment 920477 [details]
File: maps

Comment 8 kubrick@fgv6.net 2014-07-24 09:14:19 UTC
Created attachment 920478 [details]
File: open_fds

Comment 9 kubrick@fgv6.net 2014-07-24 09:14:20 UTC
Created attachment 920479 [details]
File: proc_pid_status

Comment 10 kubrick@fgv6.net 2014-07-24 09:14:21 UTC
Created attachment 920480 [details]
File: var_log_messages

Comment 11 Milan Crha 2014-07-29 07:36:00 UTC
Thanks for a bug report. The evolution-alarm-notify crashed on memory corruption, which reminded me of [1]. Did you, by any chance, click to Snooze an alarm, please?

[1] https://bugzilla.gnome.org/show_bug.cgi?id=709162

Comment 12 kubrick@fgv6.net 2014-07-29 09:32:33 UTC
It's very likely yes.

Comment 13 Milan Crha 2014-07-30 06:27:17 UTC
Thanks for the update. I'm currently building an updated package with the upstream patch included. That will be available shorty after it's done, with a new comment being done here too.

Comment 14 Fedora Update System 2014-07-30 08:24:30 UTC
evolution-3.10.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/evolution-3.10.4-3.fc20

Comment 15 Fedora Update System 2014-07-30 21:56:54 UTC
Package evolution-3.10.4-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-3.10.4-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9024/evolution-3.10.4-3.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-08-15 02:48:32 UTC
evolution-3.10.4-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.